DROP DATABASE IF EXISTS test_2045;
DROP ROLE IF EXISTS test_2045;

CREATE DATABASE test_2045;

CREATE ROLE test_2045 WITH LOGIN CREATEDB ENCRYPTED PASSWORD 'test';

\c test_2045

\i ../regress/00-regress-install/share/contrib/postgis/postgis.sql
\i ../regress/00-regress-install/share/contrib/postgis/spatial_ref_sys.sql

CREATE TABLE public.c (
    i integer,
    g public.geometry,
    b boolean,
    """qColumn" character varying(20)
);
ALTER TABLE public.c OWNER TO postgres;

COPY public.c (i, g, b, """qColumn") FROM stdin;
1	01010000200100000000000000000000000000000000000000	t	quote test
\.

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.c TO test_2045;

REVOKE TEMPORARY ON DATABASE test_2045 FROM test_2045;
REVOKE TEMPORARY ON DATABASE test_2045 FROM public;

